Update prompt text and/or providers

Updates the text and/or provider assignments of an existing prompt. Only provided fields are changed.

PATCH /prompts/{promptId}

Update prompt text and/or providers

Updates the text and/or provider assignments of an existing prompt. Only provided fields are changed.

Authentication: API key required (Bearer token)

Parameters

NameInRequiredDescription
promptIdpathYesPrompt ID to operate on.

Request Body

FieldTypeRequiredDescription
textstringNoUpdated prompt text.
providersarrayNoReplacement provider list for this prompt.
locationsarrayNoReplacement ISO 3166-1 alpha-2 location code list for the prompt.

Request Example

curl -X PATCH https://sellm.io/api/v1/prompts/example_id \
  -H "Authorization: Bearer sellm_your_api_key_here" \
  -H "Content-Type: application/json"

Responses

StatusDescription
200Prompt updated
400Bad request
401Unauthorized
403Prompt limit exceeded
404Prompt not found
409Prompt already exists
429Rate limited
500Internal error